/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\apprenticeknight.cs
Lines of code: 73
***********************************************************/


using System;
using System.Collections;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "an apprentice jedi corpse" )]
	public class apprenticejedi : BaseCreature
	{
		public override bool ClickTitle{ get{ return false; } }
		
		public override OppositionGroup OppositionGroup
		{
			get{ return OppositionGroup.JediAndSith; }
		}

		[Constructable]
		public apprenticejedi() : base( AIType.AI_Super, FightMode.Aggressor, 10, 1, 0.16, 0.32 )
		{
			SpeechHue = Utility.RandomDyedHue();
			Hue = Utility.RandomSkinHue();
			Name = "an apprentice jedi";
			Body = (( this.Female = Utility.RandomBool() ) ? Body = 0x191 : Body = 0x190);
			
			Hue = Utility.RandomSkinHue();

			SetStr( 80, 175 );
			SetDex( 41, 100 );
			SetInt( 78, 99 );

	        SetHits( 80, 100 );
			SetMana( 50, 80 );

			SetDamage( 13, 23 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 20, 40 );
			SetResistance( ResistanceType.Fire, 34, 36 );
			SetResistance( ResistanceType.Cold, 35, 55 );
			SetResistance( ResistanceType.Poison, 37, 40 );
			SetResistance( ResistanceType.Energy, 30, 50 );

			SetSkill( SkillName.MagicResist, 20, 86 );
			SetSkill( SkillName.Tactics, 20, 90 );
			SetSkill( SkillName.Wrestling, 4, 60 );
			SetSkill( SkillName.Anatomy, 50, 100.0 );

			SetSkill( SkillName.Swords, 80.6, 90 );
			
			SetSkill( SkillName.Magery, 5, 15 );
			SetSkill( SkillName.EvalInt, 1, 5 );

			Fame = 700;
			Karma = 400;

			AddItem( new SamuraiTabi() );

			AddItem( new MaleElvenRobe(Utility.RandomNeutralHue()) );
			
			
			

AddItem( new bluelightsaber() );


			Utility.AssignRandomHair( this );
		}
		
		public override void OnDeath( Container c )
 		{
			base.OnDeath( c );
 		}

		// TODO: Bushido abilities

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich );
			AddLoot( LootPack.Rich );
		}

		//public override bool AlwaysMurderer{ get{ return true; } }
		public override bool BardImmune{ get{ return true; } }
		public override bool InitialInnocent{ get{ return true; } }

		public apprenticejedi( Serial serial ) : base( serial )
		{
		}
		

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
